/**
	Haed a free program maker and generator
	Copyright (C) 2018  Florian Evaldsson

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/
#include "includes.h"

//==========================GET OBJECT FROM SELECTION WINDOW=======================
static EksParent *GetObjectFromSelection_Object;
static GtkWidget *GetObjectFromSelection_Window;

//when clicked on an object
void GetObjectFromSelection_ObjectSelect(GtkWidget *widget,gpointer data)
{
	if(((EksParent*)data)->name!=NULL)
	{
		gtk_dialog_response(GTK_DIALOG(GetObjectFromSelection_Window),1);
		
		GetObjectFromSelection_Object=data;
	}
	else
	{
		printf("ERROR (GetObjectFromSelection_ObjectSelect)! Could not retrieve object!\n");
	}
}

//the window
EksParent *GetObjectFromSelection(void)
{
	//reset GetObjectFromSelection_Object
	GetObjectFromSelection_Object=NULL;
	
	//define the window
	GetObjectFromSelection_Window=gtk_dialog_new();
	g_signal_connect (GTK_WIDGET (gtk_dialog_get_content_area(GTK_DIALOG(GetObjectFromSelection_Window))), "destroy",G_CALLBACK (DestroyWindowOnly), MAIN_GetObjBox); //will destroy when its box is destroyed
	gtk_dialog_add_button(GTK_DIALOG(GetObjectFromSelection_Window),_("Cancel"),GTK_RESPONSE_NO);
	
	gtk_container_add(GTK_CONTAINER(gtk_dialog_get_content_area(GTK_DIALOG(GetObjectFromSelection_Window))),MAIN_GetObjBox);
	
	//show the dialog
	gtk_widget_show_all(GetObjectFromSelection_Window);
	
	if(gtk_dialog_run(GTK_DIALOG(GetObjectFromSelection_Window))==1)
	{
		gtk_widget_destroy(GetObjectFromSelection_Window);
		return GetObjectFromSelection_Object;
	}
	else
	{
		printf("ERROR (GetObjectFromSelection): Could not get object!\n");
		return NULL;
	}
}
